{
  "name": "xpi-slpdb",
  "private": true,
  "version": "1.0.0",
  "description": "Indexer for the Simple Ledger Protocol with real-time validation notifications.",
  "main": "index.js",
  "scripts": {
    "test": "mocha --timeout 1000000 --exit --require mocha-steps",
    "start": "tsc && node --max_old_space_size=8192 index run",
    "lint": "./node_modules/.bin/eslint .",
    "migrate": "./node_modules/.bin/migrate-mongo"
  },
  "repository": {
    "type": "git",
    "url": "git+https://github.com/simpleledger/SLPDB.git"
  },
  "keywords": [
    "SLP"
  ],
  "license": "MIT",
  "bugs": {
    "url": "https://github.com/simpleledger/SLPDB/issues"
  },
  "homepage": "https://github.com/simpleledger/SLPDB#readme",
  "dependencies": {
    "@abcpros/bitcore-lib-xpi": "^8.25.35",
    "@abcpros/xpicash": "^1.1.2",
    "@types/dotenv": "^6.1.0",
    "@types/ip": "^1.1.0",
    "@types/js-yaml": "^3.12.5",
    "@types/mongodb": "^3.5.27",
    "@types/node": "^10.17.35",
    "@types/p-limit": "2.0.0",
    "@types/p-queue": "3.1.0",
    "@types/zeromq": "^4.6.3",
    "bignumber.js": "^9.0.0",
    "bitbox-sdk": "8.2.1",
    "bitcoin-rpc-promise-retry": "^1.3.0",
    "bufio": "^1.0.7",
    "cashaddrjs-slp": "^0.2.12",
    "dotenv": "^6.0.0",
    "fountainhead-core": "^0.0.12",
    "grpc-bchrpc-node": "^0.10.2",
    "iconv-lite": "^0.4.24",
    "ip": "^1.1.5",
    "js-yaml": "^3.14.0",
    "level": "^5.0.1",
    "migrate-mongo": "^5.0.1",
    "mingo": "^2.5.3",
    "mongodb": "^3.5.6",
    "node-jq": "1.6.0",
    "os-utils": "0.0.14",
    "p-limit": "2.0.0",
    "p-queue": "3.1.0",
    "slpjs": "^0.27.8",
    "synchronized-promise": "0.2.0",
    "traverse": "^0.6.6",
    "ts-node": "^7.0.1",
    "typescript": "^3.9.7",
    "zeromq": "^5.2.0"
  },
  "devDependencies": {
    "@types/mocha": "^5.1.1",
    "eslint": "^5.6.1",
    "mocha": "^7.2.0",
    "mocha-steps": "^1.3.0",
    "source-map-support": "^0.5.19"
  }
}
